JsonErrorReportValve (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: JsonErrorReportValve

# Class JsonErrorReportValve

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleMBeanBase
org.apache.catalina.valves.ValveBase
org.apache.catalina.valves.ErrorReportValve
org.apache.catalina.valves.JsonErrorReportValve

All Implemented Interfaces:
  `MBeanRegistration, Contained, JmxEnabled, Lifecycle, Valve`

public class JsonErrorReportValve extends ErrorReportValve
Implementation of a Valve that outputs error JSON. This Valve should be attached at the Host level, although it will work if attached to a Context.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Lifecycle

  `Lifecycle.SingleUse`

- ## Field Summary

  ### Fields inherited from class ValveBase

  `asyncSupported, container, containerLog, next, sm`

  ### Fields inherited from interface Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonErrorReportValve()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `report(Request request, Response response, Throwable throwable)`
  Prints out an error report.

  ### Methods inherited from class ErrorReportValve

  `findErrorPage, getPartialServletStackTrace, getProperty, invoke, isShowReport, isShowServerInfo, setProperty, setShowReport, setShowServerInfo`

  ### Methods inherited from class ValveBase

  `backgroundProcess, getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, startInternal, stopInternal, toString`

  ### Methods inherited from class LifecycleMBeanBase

  `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister, unregister`

  ### Methods inherited from class LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JsonErrorReportValve

    public JsonErrorReportValve()

- ## Method Details

  - ### report

    protected void report(Request request, Response response, Throwable throwable)
    Description copied from class: `ErrorReportValve`
    Prints out an error report.
    Overrides:
      `report` in class `ErrorReportValve`
    Parameters:
      `request` - The request being processed
      `response` - The response being generated
      `throwable` - The exception that occurred (which possibly wraps a root cause exception